.image-root-white {
  background-size: cover;
  background-position: center center;
  display: inline-block;
  vertical-align: top;
  box-sizing: border-box;
  position: relative;
  border: 1px solid white;

  > div {
    visibility: hidden;
    background: rgba(0, 0, 0, 0.7);
    cursor: pointer;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    color: white;
    padding: 15px;
    text-align: center;
    text-align: center;
    box-sizing: border-box;
    white-space: pre;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &:hover > div {
    visibility: visible;
  }

  .image-icon {
    position: relative;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3

    &:hover {
      color: white;
      border-color: white;
    }
  }

  .noLike {
    position: relative;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc; //1px
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3

    &:hover {
      color: hotpink;
      border-color: deeppink;
    }
  }

  .yesLike {
    position: relative;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3

    &:hover {
      color: white;
      border-color: white;
    }
  }

  .noLikeCorner {
    visibility: hidden;
    //position: relative;
    //font-size: 15px; //20
    //vertical-align: middle;
    //border: 1px solid #ccc; //1px
    //color: #ccc;
    //border-radius: 3px; //4
    //cursor: pointer;
    //padding: 9px;
    //margin: 2px; //3

    //&:hover {
    //  color: white;
    //  border-color: white;
    //}
  }

  .yesLikeCorner {
    zIndex: 100;
    position: absolute;
    font-size: 15px; //20
    vertical-align: middle;
    //border: 2px solid hotpink;
    color: deeppink;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 10px;
    margin: 3px; //3
    top: 0;
    right: 0;

    &:hover {
      color: deeppink;
      border-color: deeppink;
    }
  }

  .expand-icon {
    position: absolute;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 10px;
    margin: 2px; //3
    margin-top: -25%;//-40px

    &:hover {
      color: white;
      border-color: white;
    }
  }

  .share-icon {
    position: absolute;
    font-size: 15px; //20
    vertical-align: bottom;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3
    margin-top: 25%;//40px

    &:hover {
      color: deepskyblue;
      border-color: dodgerblue;
    }
  }
  }

.image-root-pink {
  background-size: cover;
  background-position: center center;
  display: inline-block;
  vertical-align: top;
  box-sizing: border-box;
  position: relative;
  border: solid 10px #FC5185;
  clip-path: polygon(
      calc(0% + 5px) calc(0% + 5px), /* top left */
      calc(100% - 5px) calc(0% + 5px), /* top right */
      calc(100% - 5px) calc(100% - 5px), /* bottom right */
      calc(0% + 5px) calc(100% - 5px) /* bottom left */
  );
  transition: clip-path 0.6s linear;

  > div {
    visibility: hidden;
    background: rgba(0, 0, 0, 0.7);
    cursor: pointer;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    color: white;
    padding: 15px;
    text-align: center;
    text-align: center;
    box-sizing: border-box;
    white-space: pre;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &:hover > div {
    visibility: visible;
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);

  }

  .image-icon {
    position: relative;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3

    &:hover {
      color: white;
      border-color: white;
    }
  }

  .noLike {
    position: relative;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc; //1px
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3

    &:hover {
      color: hotpink;
      border-color: deeppink;
    }
  }

  .yesLike {
    position: relative;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3

    &:hover {
      color: white;
      border-color: white;
    }
  }

  .noLikeCorner {
    visibility: hidden;
    //position: relative;
    //font-size: 15px; //20
    //vertical-align: middle;
    //border: 1px solid #ccc; //1px
    //color: #ccc;
    //border-radius: 3px; //4
    //cursor: pointer;
    //padding: 9px;
    //margin: 2px; //3

    //&:hover {
    //  color: white;
    //  border-color: white;
    //}
  }

  .yesLikeCorner {
    visibility: hidden;
    zIndex: 100;
    position: absolute;
    font-size: 15px; //20
    vertical-align: middle;
    color: deeppink;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 10px;
    margin: 3px; //3
    top: 0;
    right: 0;

    &:hover {
      color: deeppink;
      border-color: deeppink;
    }
  }

  .expand-icon {
    position: absolute;
    font-size: 15px; //20
    vertical-align: middle;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 10px;
    margin: 2px; //3
    margin-top: -28.5%;//-40px;

    &:hover {
      color: white;
      border-color: white;
    }
  }

  .share-icon {
    position: absolute;
    font-size: 15px; //20
    vertical-align: bottom;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 3px; //4
    cursor: pointer;
    padding: 9px;
    margin: 2px; //3
    margin-top: 28.5%;//40px;

    &:hover {
      color: deepskyblue;
      border-color: dodgerblue;
    }
  }
}













